Bug 20012 - use Modern::Perl in Reports perl scripts
Summary: use Modern::Perl in Reports perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Charlotte Cordwell
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505
  Show dependency treegraph
 
Reported: 2018-01-17 19:48 UTC by Aleisha Amohia
Modified: 2018-02-16 01:00 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20012:use Modern::Perl in Reports perl scripts (5.62 KB, patch)
2018-01-18 03:01 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 20012:use Modern::Perl in Reports perl scripts (5.67 KB, patch)
2018-01-24 18:41 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20012: use Modern::Perl in Reports perl scripts (5.80 KB, patch)
2018-02-04 13:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 19:48:34 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
borrowers_out.pl
cat_issues_top.pl
catalogue_out.pl
catalogue_stats.pl
dictionary.pl
issues_avg_stats.pl
issues_stats.pl
itemslost.pl
manager.pl
reports-home.pl
serials_stats.pl
stats.print.pl
Comment 1 Charlotte Cordwell 2018-01-18 03:01:30 UTC
Created attachment 70667 [details] [review]
Bug 20012:use Modern::Perl in Reports perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

borrowers_out.pl
cat_issues_top.pl
catalogue_out.pl
catalogue_stats.pl
dictionary.pl
issues_avg_stats.pl
issues_stats.pl
itemslost.pl
manager.pl
reports-home.pl
serials_stats.pl
stats.print.pl
Comment 2 Jon Knight 2018-01-24 18:41:22 UTC
Created attachment 70897 [details] [review]
Bug 20012:use Modern::Perl in Reports perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

borrowers_out.pl
cat_issues_top.pl
catalogue_out.pl
catalogue_stats.pl
dictionary.pl
issues_avg_stats.pl
issues_stats.pl
itemslost.pl
manager.pl
reports-home.pl
serials_stats.pl
stats.print.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 3 Katrin Fischer 2018-02-04 13:29:42 UTC
Created attachment 71187 [details] [review]
Bug 20012: use Modern::Perl in Reports perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

borrowers_out.pl
cat_issues_top.pl
catalogue_out.pl
catalogue_stats.pl
dictionary.pl
issues_avg_stats.pl
issues_stats.pl
itemslost.pl
manager.pl
reports-home.pl
serials_stats.pl
stats.print.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-02-05 12:59:39 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-02-16 01:00:03 UTC
Awesome work all! Enhancement not backported to stable.